<?php
    /**
    * This file performs sets a specific language for DynPG frontend,
    * by default "de".
    *
    * This file includes language data for language "german" alias "de"
    *
    *
    *
    * @package DynPG PlugIn Engine (Languages)
    * @author Daniel Schliebner
    * @return language data as assocciative array
    */

    // callback_Language_de_general: -> array
    // Sets language data for language "german"
    function callback_Language_de_general() {

        // instanciate language array
        $_LANG_ = Array();

        // define "new line" placeholder variable
        $N = "\r\n";


        // This definition is more a template but to small for an extra template
        // file so we define it here. In addition to that, this element is parsed
        // with the template processor too.
        $_LANG_['navigation_root_separate_str']          = '&nbsp;<strong>>></strong>&nbsp;';
        $_LANG_['navigation_root_firstelement']          = '<div style="display: inline;" class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</div>';
        $_LANG_['navigation_root_singleelement']         = '<div style="display: inline;" class="breadcrumb_at_{$LIST_INDEX}">{$NAME}</div>';
        $_LANG_['navigation_root_itemelement']           = '<div class="breadcrumb_at_{$LIST_INDEX}">{$SEPERATE}{$TITLE}</div>';
		
		// Texts from navigation-pages.tpl
		$_LANG_['navigation_pages_back']          = 'Zur&uuml;ck';
		$_LANG_['navigation_pages_next']          = 'Weiter';

        // date format for dates in the group list
        $_LANG_['general_groups_date_format']            = 'd.m.Y H:i:s';


        // date format for dates in the article list
        $_LANG_['general_articles_create_date_format']   = 'd.m.Y H:i:s';
        $_LANG_['general_articles_fix_date_format']      = 'd.m.Y H:i:s';
        $_LANG_['general_articles_from_date_format']     = 'd.m.Y H:i:s';
        $_LANG_['general_articles_till_date_format']     = 'd.m.Y H:i:s';
        $_LANG_['general_articles_change_date_format']   = 'd.m.Y H:i:s';

        // string for empty search query in article list
        $_LANG_['general_articles_no_search_query']      = '-';
        
        // Texts from articles.tpl
        $_LANG_['general_articles_language']            = 'deutsch';
        $_LANG_['general_articles_read_more']           = 'mehr lesen';
        $_LANG_['general_articles_more']                = 'mehr';
        $_LANG_['general_articles_edit']                = 'bearbeiten';
        $_LANG_['general_articles_editing']             = 'editieren';
        $_LANG_['general_articles_edit_within_dynpg']   = 'Diesen Artikel in DynPG editieren';
        $_LANG_['general_articles_no_matching_results'] = 'Leider konnten keine Resultate zum Begriff &bdquo;%SEARCH_QUERY%&rdquo; erzielt werden. <br /> Bitte versuchen Sie es mit einem anderen Suchbegriff erneut.';
        $_LANG_['general_articles_no_matching_results_for_timespan'] = 'Leider konnten keine Artikel in diesem Zeitraum gefunden werden.';


        // date format for dates at detail page
        $_LANG_['general_detail_create_date_format']     = 'd.m.Y';
        $_LANG_['general_detail_fix_date_format']        = 'd.m.Y';
        $_LANG_['general_detail_from_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_till_date_format']       = 'd.m.Y';
        $_LANG_['general_detail_change_date_format']     = 'd.m.Y';
        
        // Texts from detail.tpl
        $_LANG_['general_detail_pdf']          		  = 'pdf';
        $_LANG_['general_detail_pdf_page']      	  = 'Artikel pdf';
        $_LANG_['general_detail_recommend']           = 'weiterempfehlen';
        $_LANG_['general_detail_recommend_page']      = 'Seite weiterempfehlen';
        $_LANG_['general_detail_link']                = 'link';
        $_LANG_['general_detail_link_page']           = 'Seiten Link';
        $_LANG_['general_detail_print']               = 'drucken';
        $_LANG_['general_detail_print_page']          = 'Artikel drucken';
        $_LANG_['general_detail_facebook']            = 'teilen';
        $_LANG_['general_detail_facebook_page']       = 'Artikel teilen';
        $_LANG_['general_detail_twitter']             = 'twittern';
        $_LANG_['general_detail_twitter_page']        = 'Artikel twittern';
        $_LANG_['general_detail_read_more']           = 'mehr lesen';
        $_LANG_['general_detail_more']                = 'mehr';
        $_LANG_['general_detail_edit']                = 'bearbeiten';
        $_LANG_['general_detail_editing']             = 'editieren';
        $_LANG_['general_detail_edit_within_dynpg']   = 'Diesen Artikel in DynPG editieren';


        // date format for dates at home site
        $_LANG_['general_home_create_date_format']       = 'd.m.Y';
        $_LANG_['general_home_fix_date_format']          = 'd.m.Y';
        $_LANG_['general_home_from_date_format']         = 'd.m.Y';
        $_LANG_['general_home_till_date_format']         = 'd.m.Y';
        
        // Texts from home.tpl
        $_LANG_['general_home_read_more']           = 'mehr lesen';
        $_LANG_['general_home_more']                = 'mehr';
        
        // Texts from search-form.tpl
        $_LANG_['general_search_button']           = 'Suchen';


        // form processing
        $_LANG_['forms_errors_number_00']                = '';
        $_LANG_['forms_errors_number_01']                = 'Fehler: Sie k&ouml;nnen das Formular nur einmalig absenden!';
        $_LANG_['forms_errors_number_02']                = 'Fehler: Interner Fehler #2!';
        $_LANG_['forms_errors_number_03']                = 'Fehler: Falscher Referer!';
        $_LANG_['forms_errors_number_04']                = 'Fehler: Die g&uuml;ltige Zeitspanne f&uuml;r das Formular ist abgelaufen!';
        $_LANG_['forms_errors_number_05']                = 'Fehler: Bitte f&uuml;llen Sie alle erforderlichen Felder aus!';
        $_LANG_['forms_errors_number_06']                = 'Fehler: Bitte geben Sie eine g&uuml;ltige E-Mail an!';
        $_LANG_['forms_errors_number_07']                = 'Fehler: Bitte geben Sie eine g&uuml;ltige URL an!';
        $_LANG_['forms_errors_number_08']                = 'Fehler: Der Validierungscode war inkorrekt!';
        $_LANG_['forms_errors_number_09']                = 'Fehler: Es sind keine Header-Angaben zul&auml;ssig!';
        $_LANG_['forms_success']                         = 'OK: Ihre Formulardaten wurden versendet!';

        return $_LANG_;
    }
?>